M1 Mac, cant build wknd tutorial, get "Could not download Node.js: Got error code 404 from the server."

Avatar

Avatar

nutmix5

Avatar

nutmix5

nutmix5

08-03-2021

downloaded source zip from here: https://github.com/adobe/aem-guides-wknd/releases/tag/aem-guides-wknd-0.2.0

 

[ERROR] Failed to execute goal com.github.eirslett:frontend-maven-plugin:1.7.6:install-node-and-npm (install node and npm) on project aem-guides-wknd.ui.frontend: Could not download Node.js: Got error code 404 from the server. -> [Help 1]

 

Have following installed:

Java 11

node v15.0.0

mvn 3.6.3

npm 7.6.0

 

Im doing this from zsh.  Tried bash also.  Is it because its not X86 arch on the M1 mac?

 

I also tried changing node to the latest in the pom file:

 

<nodeVersion>v11.14.0</nodeVersion>
<npmVersion>7.6.0</npmVersion>
 
This didnt help

Accepted Solutions (1)

Accepted Solutions (1)

Avatar

Avatar

nutmix5

Avatar

nutmix5

nutmix5

09-03-2021

I found the solution.  The fontend-maven-plugin is old, and doesnt support the newer chips.

 

The solution was to change its version to 1.11:

 

<groupId>com.github.eirslett</groupId>
<artifactId>frontend-maven-plugin</artifactId>
<version>1.11.0</version>

 

Lets hope someone from Adobe updates their wknd source before too many people hit the same problem.

Answers (1)

Answers (1)

Avatar

Avatar

Anudeep_Garnepudi

MVP

Avatar

Anudeep_Garnepudi

MVP

Anudeep_Garnepudi
MVP

08-03-2021

@nutmix5 

Check frontend-maven-plugin configuration. Try  accessing node version <nodeVersion>v10.13.0</nodeVersion> from https://nodejs.org/dist/v10.13.0/ . Try to build as admin.